## click 0.1.5

=== debian/changelog ===
click (0.1.5) saucy; urgency=low

  * Fix infinite recursion in ClickUser.click_pw.
  * When all the files requested for installation are Click packages,
    override org.freedesktop.packagekit.package-install* PolicyKit actions
    to com.ubuntu.click.package-install, defined with a more open default
    policy.  (This requires some backports to PackageKit, not in the archive
    yet.)

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 17 Jul 2013 15:46:48 +0100
