=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,9 @@
 # Run setup.py with the default python3 last so that the scripts use
 # #!/usr/bin/python3 and not #!/usr/bin/python3.X.
 PY3 := $(filter-out $(PY3DEFAULT),$(PY3REQUESTED)) python3
+
+override_dh_autoreconf:
+	dh_autoreconf -- ./autogen.sh
 
 override_dh_auto_build:
 	dh_auto_build
