=== debian/rules ===
--- 
+++ 
@@ -29,10 +29,12 @@
 	dh_auto_clean
 	$(MAKE) -C doc clean
 	rm -rf build *.egg-info .tox
+	find -name \*.pyc -print0 | xargs -0r rm -f
 	find -name __pycache__ -print0 | xargs -0r rm -rf
 
 override_dh_auto_install:
 	# setuptools likes to leave some debris around, which confuses things.
+	find build -name \*.pyc -print0 | xargs -0r rm -f
 	find build -name __pycache__ -print0 | xargs -0r rm -rf
 	find build -name \*.egg-info -print0 | xargs -0r rm -rf
 	dh_auto_install
