## click 0.2.2

=== debian/changelog ===
click (0.2.2) saucy; urgency=low

  * dh_click: Support --name option.
  * Avoid ClickUser.__iter__ infecting its caller with dropped privileges.
  * Use geteuid() rather than getuid() in several places to check whether we
    need to drop or regain privileges.
  * Add a user-level hook to create .desktop files in
    ~/.local/share/applications/.  (This should probably move to some other
    package at some point.)

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 23 Jul 2013 19:36:44 +0100
