## click 0.2.3

=== debian/changelog ===
click (0.2.3) saucy; urgency=low

  * Set Path in generated .desktop files to the top-level package directory.
  * Revert part of geteuid() change in 0.2.2; ClickUser._drop_privileges and
    ClickUser._regain_privileges need to check the real UID, or else they
    will never regain privileges.
  * When running a hook, set HOME to the home directory of the user the hook
    is running as.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 23 Jul 2013 22:57:03 +0100
