## click 0.2.5

=== debian/changelog ===
click (0.2.5) saucy; urgency=low

  * Ensure that ~/.local/share/applications exists if we need to write any
    .desktop files.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 24 Jul 2013 07:44:44 +0100
