## click 0.2.6

=== debian/changelog ===
click (0.2.6) saucy; urgency=low

  * Adjust written .desktop files to avoid tickling some bugs in Unity 8's
    parsing.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 24 Jul 2013 08:03:08 +0100
