## click 0.2.7

=== debian/changelog ===
click (0.2.7) saucy; urgency=low

  * Fix error message when rejecting "_" from a package name or version
    (LP: #1204560).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 24 Jul 2013 16:42:59 +0100
