## click 0.2.10

=== debian/changelog ===
click (0.2.10) saucy; urgency=low

  * Force click's stdout encoding to UTF-8 regardless of the locale.
  * Don't encode non-ASCII characters in JSON dumps.
  * Treat manifests as UTF-8.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 30 Jul 2013 15:14:16 +0100
