## click 0.4.11

=== debian/changelog ===
click (0.4.11) saucy; urgency=low

  * Drop --force-missing-framework from PackageKit plugin now that
    /usr/share/click/frameworks/ubuntu-sdk-13.10.framework is in
    ubuntu-sdk-libs.
  * Show a neater error message when a package's framework is not installed
    (LP: #1236671).
  * Show a neater error message when building a package whose manifest file
    cannot be parsed (LP: #1236669).
  * Show a neater error message when running "click install" with
    insufficient privileges (LP: #1236673).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 11 Oct 2013 12:07:06 +0100

click (0.4.10) saucy; urgency=low

  * When removing packages, only drop privileges after ensuring the
    existence of the database directory (LP: #1233280).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 30 Sep 2013 18:12:14 +0100

click (0.4.9) saucy; urgency=low

  * Explicitly build-depend on pkg-config, since it's needed even if the
    PackageKit/GLib-related build-dependencies are removed for backporting.
  * Remove some stray documentation references to Ubuntu 13.04.
  * Ensure that the user's overlay database directory exists when
    unregistering a preinstalled package (LP: #1232066).
  * Support packages containing code for multiple architectures, and
    document the "architecture" manifest field (LP: #1214380, #1214864).
  * Correctly pass through return values of commands as the exit status of
    the "click" wrapper.
  * Extend "click info" to take a registered package name as an alternative
    to a path to a Click package file (LP: #1232118).
  * Force unpacked files to be owner-writeable (LP: #1232128).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 30 Sep 2013 15:24:49 +0100

click (0.4.8) saucy; urgency=low

  * Show a proper error message if "click build" or "click buildsource" is
    called on a directory that does not exist or does not contain a manifest
    file, rather than crashing (LP: #1228619).
  * Restore missing newlines after JSON dumps in "click info" and "click
    list --manifest".
  * Tidy up use of PackageKit IDs; local:click should refer to uninstalled
    packages, while installed:click refers to installed packages.
  * Expose application names and whether a package is removable via the
    PackageKit API: the IDs of installed applications are now formed as
    comma-separated key/value pairs, e.g.
    "installed:click,removable=1,app_name=foo,app_name=bar" (LP: #1209329).
  * Rename ClickUser.__setitem__ to ClickUser.set_version and
    ClickUser.__delitem__ to ClickUser.remove; with multiple databases it
    was impossible for these methods to fulfil the normal contract for
    mutable mappings, since deleting an item might simply expose an item in
    an underlying database.
  * Allow unregistering preinstalled packages.  A preinstalled package
    cannot in general actually be removed from disk, but unregistering it
    for a user records it as being hidden from that user's list of
    registered packages.  Reinstalling the same version unhides it.
  * Consolidate ClickInstaller.audit_control into ClickInstaller.audit.
  * Validate the shipped md5sums file in "click verify" (LP: #1217333).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 24 Sep 2013 15:21:48 +0100

click (0.4.7) saucy; urgency=low

  * Run system hooks when removing a package from the file system
    (LP: #1227681).
  * If a hook symlink is already correct, don't unnecessarily remove and
    recreate it.
  * Improve "click hook install-system" and "click hook install-user" to
    remove any stale symlinks they find, and to run Exec commands only once
    per hook.  This significantly speeds up system and session startup when
    lots of applications are installed (LP: #1227604).
  * Rename "click hook install-system" and "click hook install-user" to
    "click hook run-system" and "click hook run-user" respectively, to
    better fit their semantics.  (I expect these commands only to have been
    used internally by click's own Upstart jobs.)
  * Filter version control metadata and editor backup files out of binary
    packages in "click build" (LP: #1223640).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 20 Sep 2013 18:07:13 +0100

click (0.4.6) saucy; urgency=low

  * Make sure all unpacked files and directories are group- and
    world-readable, and (if owner-executable) also group- and
    world-executable (LP: #1226553).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 17 Sep 2013 13:37:06 +0100

click (0.4.5) saucy; urgency=low

  * Document --force-missing-framework option in the error message produced
    when a package's required framework is not present.
  * Make "click pkgdir" exit 1 if a directory for the given package name or
    path is not found, rather than letting the exception propagate
    (LP: #1225923).
  * Run system hooks at boot time, in particular so that AppArmor profiles
    for packages in /custom are generated and loaded (LP: #1223085).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 16 Sep 2013 20:55:28 +0100

click (0.4.4) saucy; urgency=low

  * Amend "click help install" to recommend using "pkcon install-local".
  * Run hooks when removing a per-user package registration.
  * Adjust usage lines for "click help verify" and "click help pkgdir" to
    indicate that options are allowed.
  * Add a click(1) manual page.
  * Use json.dump and json.load in most places rather than json.dumps and
    json.loads (which unnecessarily construct strings).
  * Add "click unregister", which unregisters a package for a user and
    removes it from disk if it is not being used.
  * Add RemovePackage support to the PackageKit plugin, mapped to "click
    unregister".
  * Attempt to remove the old version of a package after installing or
    registering a new one.
  * Remove code supporting PackageKit 0.7 API, and instead arrange to
    disable the PackageKit plugin if the new API is not available, since we
    don't need to build it on Ubuntu 12.04 LTS.

