=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,14 @@
 #! /usr/bin/make -f
+
+PACKAGEKIT := $(shell debian/packagekit-check)
+ifeq ($(PACKAGEKIT),yes)
+EXTRA_DH_OPTIONS :=
+else
+EXTRA_DH_OPTIONS := -Npackagekit-plugin-click
+endif
+
 %:
-	dh $@ --with autoreconf,python3,sphinxdoc --buildsystem autoconf
+	dh $@ --with autoreconf,python3,sphinxdoc --buildsystem autoconf $(EXTRA_DH_OPTIONS)
 
 PY3REQUESTED := $(shell py3versions -r)
 PY3DEFAULT := $(shell py3versions -d)
@@ -11,12 +19,17 @@
 override_dh_autoreconf:
 	dh_autoreconf -- ./autogen.sh
 
+ifeq ($(PACKAGEKIT),no)
+override_dh_auto_configure:
+	dh_auto_configure -- --disable-packagekit
+endif
+
 override_dh_auto_build:
 	dh_auto_build
 	set -e; for python in $(PY3); do \
 		$$python setup.py build; \
 	done
-	$(MAKE) -C doc html
+	$(MAKE) -C doc html man
 
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 override_dh_auto_test:
@@ -46,7 +59,7 @@
 
 override_dh_install:
 	dh_install
-	DH_AUTOSCRIPTDIR=debhelper debhelper/dh_click --name=desktop
+	DH_AUTOSCRIPTDIR=debhelper debhelper/dh_click --name=click-desktop
 
 # Sphinx documentation is architecture-independent.
 override_dh_sphinxdoc-arch:
