## click 0.4.21.1

=== debian/changelog ===
click (0.4.21.1) trusty; urgency=medium

  [ Colin Watson ]
  * When a hook command fails, include the command in the error message.
  * Don't allow failure of a single hook to prevent other hooks being run.
  * Log hook failures to stderr and exit non-zero, rather than propagating
    an exception which is then logged as a click crash.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 08 Apr 2014 09:41:55 +0000

click (0.4.21) trusty; urgency=medium

  * Add *_as_string variants of manifest methods, for clients that already
    have their own JSON parsing libraries and don't want to use JSON-GLib.
  * Write to stderr and exit non-zero when chrooted commands fail, rather
    than propagating an exception which is then logged as a click crash
    (LP: #1298457).
  * Make the get_manifests family of functions log errors about individual
    manifests to stderr rather than crashing (LP: #1297519).
  * Don't run user hooks until dbus has started; the content-hub hook needs
    to modify gsettings.
  * Don't rely on PyGObject supporting default None arguments; this was only
    added in 3.11.1.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 08 Apr 2014 10:13:37 +0100

click (0.4.20) trusty; urgency=medium

  [ Colin Watson ]
  * Create system hook symlinks for all installed packages, not just current
    versions.  This avoids missing AppArmor profiles when there are
    unregistered user-installed versions of packages lying around.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 24 Mar 2014 16:16:37 +0000

click (0.4.19) trusty; urgency=medium

  [ Colin Watson ]
  * Set Click.User.ensure_db visibility back to private, since it's no
    longer used by Click.Hook.  (The C ABI is unaffected.)
  * Add brief documentation on Click's multiple-database scheme, based on my
    recent mail to ubuntu-phone.
  * Fix a few potential GLib critical messages from the PackageKit plugin.
  * Make libclick-0.4-dev depend on libjson-glib-dev for
    <json-glib/json-glib.h>.
  * Add Requires.private to click-0.4.pc, so that programs built against
    libclick pick up the proper CFLAGS including glib and json-glib.
  * chroot: Allow creating 14.04 chroots.
  * Include _directory and _removable dynamic manifest keys in "click info"
    output (LP: #1293788).
  * Document -f and -s options to "click chroot" in click(1).
  * chroot: Fix code to make /finish.sh executable.
  * chroot: Make /usr/sbin/policy-rc.d executable in the chroot, as
    otherwise it has no effect.
  * chroot: Run apt-get dist-upgrade on the chroot before trying to install
    the basic build tool set.  Fixes chroot creation for saucy.

  [ Benjamin Zeller ]
  * Take pkexec env vars into account when creating a chroot.

  [ Dimitri John Ledkov ]
  * Add session management to click chroot.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 18 Mar 2014 14:27:53 +0000

click (0.4.18.3) trusty; urgency=medium

  [ Colin Watson ]
  * Take a slightly different approach to fixing "click hook run-user": only
    try to update user registration symlinks if they already exist in the
    overlay database.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 12 Mar 2014 12:02:47 +0000

click (0.4.18.2) trusty; urgency=medium

  * Make "click hook run-user" ensure that the user registration directory
    exists before dropping privileges and trying to create symlinks in it
    (LP: #1291192).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 12 Mar 2014 11:59:31 +0000

click (0.4.18.1) trusty; urgency=medium

  [ Colin Watson ]
  * If a user attempts to install a version of a package that is already
    installed in an underlay database, then just register the appropriate
    version for them rather than unpacking another copy.
  * Make "click hook run-system" and "click hook run-user" consistently use
    the bottom-most unpacked copy of a given version of a package, and
    update hook symlinks and user registration symlinks if necessary.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 11 Mar 2014 17:22:10 +0000

click (0.4.18) trusty; urgency=medium

  * Give gir1.2-click-0.4 an exact-versioned dependency on libclick-0.4-0.
  * Use is_symlink helper method in a few more places.
  * Add a similar is_dir helper method.
  * Ignore extraneous non-directories when walking a database root in
    Click.DB.get_packages and Click.DB.gc.
  * Make the PackageKit plugin tolerate the "_removable" dynamic manifest
    key being changed to a boolean in the future.
  * Document that users of "_removable" should tolerate it being a boolean.
  * Use libclick when removing packages, listing packages, or searching
    packages via the PackageKit plugin.
  * Add libclick interfaces to get package manifests, both individually
    (LP: #1287692) and for all installed packages (LP: #1287693).
  * Override description-starts-with-package-name Lintian error for click;
    this is describing the system as a whole rather than naming the package.
  * Add libclick interfaces to get the list of frameworks supported by the
    current system (LP: #1271633) and various properties of those frameworks
    (LP: #1287694).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 11 Mar 2014 17:18:07 +0000

click (0.4.17.2) trusty; urgency=medium

  [ Colin Watson ]
  * Fix Click.User construction in "click pkgdir".

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 06 Mar 2014 16:38:35 +0000

click (0.4.17.1) trusty; urgency=medium

  * gobject-introspection-1.0.pc is in libgirepository1.0-dev, not
    gobject-introspection.  Fix Build-Depends.
  * Build-depend and depend on gir1.2-glib-2.0 and python3-gi.
  * Map gboolean to ctypes.c_int, not ctypes.c_bool.  gboolean and gint are
    the same as far as glib is concerned, and ctypes does strange things
    with its bool type in callbacks.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 06 Mar 2014 16:09:33 +0000

click (0.4.17) trusty; urgency=medium


