=== debian/control ===
--- 
+++ 
@@ -2,15 +2,18 @@
 Section: admin
 Priority: optional
 Maintainer: Colin Watson <cjwatson@ubuntu.com>
-Standards-Version: 3.9.4
-Build-Depends: debhelper (>= 9~), dh-autoreconf, autopoint (>= 0.18.1), intltool, python3 (>= 3.2), python3-all, python3-setuptools, python3-debian, python3 (>= 3.3) | python3-mock, pep8, pyflakes, python3-sphinx, pkg-config, libglib2.0-dev (>= 2.34), libjson-glib-dev (>= 0.10), libpackagekit-glib2-dev (>= 0.7.2)
-Vcs-Bzr: http://bazaar.launchpad.net/+branch/click
+Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 9~), dh-autoreconf, intltool, python3:any (>= 3.2), python3-all:any, python3-setuptools, python3-apt, python3-debian, python3-gi, python3:any (>= 3.3) | python3-mock, pep8, python3-pep8, pyflakes, python3-sphinx, pkg-config, valac, gobject-introspection (>= 0.6.7), libgirepository1.0-dev (>= 0.6.7), libglib2.0-dev (>= 2.34), gir1.2-glib-2.0, libjson-glib-dev (>= 0.10), libgee-0.8-dev, libpackagekit-glib2-dev (>= 0.7.2)
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-managed-branches/click/click
+Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-managed-branches/click/click/files
+X-Auto-Uploader: no-rewrite-version
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.2
 
 Package: click
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, python3-click (>= ${source:Version}), python3-click (<< ${source:Version}.1), adduser
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, python3-click (= ${binary:Version}), adduser
 Recommends: click-apparmor, upstart-app-launch-tools
 Conflicts: click-package
 Replaces: click-package
@@ -23,7 +26,9 @@
 
 Package: click-dev
 Architecture: any
-Depends: ${misc:Depends}, ${python3:Depends}, ${perl:Depends}, python3-click (= ${binary:Version})
+Multi-Arch: foreign
+Depends: ${misc:Depends}, ${perl:Depends}, python3-click (= ${binary:Version})
+Recommends: debootstrap, schroot
 Description: build Click packages
  Click is a simplified packaging format that installs in a separate part of
  the file system, suitable for third-party applications.
@@ -33,7 +38,7 @@
 Package: python3-click
 Section: python
 Architecture: any
-Depends: ${misc:Depends}, ${python3:Depends}, python3-debian
+Depends: ${misc:Depends}, ${python3:Depends}, gir1.2-click-0.4 (= ${binary:Version}), gir1.2-glib-2.0, python3-apt, python3-debian, python3-gi
 Conflicts: python3-click-package
 Replaces: python3-click-package
 Provides: python3-click-package
@@ -43,6 +48,42 @@
  .
  This package provides Python 3 modules used by click, which may also be
  used directly.
+
+Package: libclick-0.4-0
+Section: libs
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: run-time Click package management library
+ Click is a simplified packaging format that installs in a separate part of
+ the file system, suitable for third-party applications.
+ .
+ This package provides a shared library for managing Click packages.
+
+Package: libclick-0.4-dev
+Section: libdevel
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, libclick-0.4-0 (= ${binary:Version}), libglib2.0-dev, libjson-glib-dev
+Description: development files for Click package management library
+ Click is a simplified packaging format that installs in a separate part of
+ the file system, suitable for third-party applications.
+ .
+ This package provides development files needed to build programs for
+ managing Click packages.
+
+Package: gir1.2-click-0.4
+Section: introspection
+Architecture: any
+Depends: ${misc:Depends}, ${gir:Depends}, libclick-0.4-0 (= ${binary:Version})
+Description: GIR bindings for Click package management library
+ Click is a simplified packaging format that installs in a separate part of
+ the file system, suitable for third-party applications.
+ .
+ This package can be used by other packages using the GIRepository format to
+ generate dynamic bindings.
 
 Package: click-doc
 Section: doc
@@ -59,7 +100,8 @@
 
 Package: packagekit-plugin-click
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, click
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, click (= ${binary:Version})
 Description: Click packages (PackageKit plugin)
  Click is a simplified packaging format that installs in a separate part of
  the file system, suitable for third-party applications.
